import greenfoot.*;

/**
 * Class Grid:
 * a world where a user-controlled snake roams and grows
 */
public class Grid extends World
{
    /**
     * Grid Constructor:
     * resets the static variables in the Snake class and adds a snake head and one body segment to a new world
     */
    public Grid()
    {
        super(30, 20, 20);
        Snake.head = null; // resets the reference to the head of the snake in the Snake class to 'null'
        Snake.direction = 0; // resets the initial direction of the snake to 0;
        addObject(new Snake(), 1, 0); // adds the head to the world
        addObject(new Snake(), 0, 0); // adds the first body segment to the world
    }
    
    public void act()
    {
        if (Greenfoot.mouseClicked(null))
        {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            System.out.println("Mouse-X:  "+mouse.getX()+"\nMouse-Y:  "+mouse.getY());
        }
    }
}